# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without repolib

%bcond_with signed

%global archivever 146

%global jdkver 1.6
%global jdkvernodot 16

%define reltag _redhat_1
%define namedreltag -redhat-1
%global namedversion %{version}%{?namedreltag}

%define section free

Name:           bouncycastle
Version:        1.46
Release:        3.5%{?reltag}%{?dist}
Epoch:          0
Summary:        Bouncy Castle Crypto Package for Java
Group:          Security/Cryptography
License:        BSD
URL:            http://www.bouncycastle.org/java.html
Source0:        http://downloads.bouncycastle.org/java/crypto-%{archivever}.tar.gz
Source1:        http://downloads.bouncycastle.org/java/bcprov-jdk%{jdkvernodot}-%{archivever}.jar
# poms were vman-ized after downloaded
Source100:      http://repo1.maven.org/maven2/org/bouncycastle/bcmail-jdk%{jdkvernodot}/1.46/bcmail-jdk%{jdkvernodot}-1.46.pom
Source101:      http://repo1.maven.org/maven2/org/bouncycastle/bcpg-jdk%{jdkvernodot}/1.46/bcpg-jdk%{jdkvernodot}-1.46.pom
Source102:      http://repo1.maven.org/maven2/org/bouncycastle/bcprov-jdk%{jdkvernodot}/1.46/bcprov-jdk%{jdkvernodot}-1.46.pom
Source104:      http://repo1.maven.org/maven2/org/bouncycastle/bctsp-jdk%{jdkvernodot}/1.46/bctsp-jdk%{jdkvernodot}-1.46.pom
#Patch0:         bouncycastle-pom-versions.patch
Obsoletes:      bouncycastle-jdk1.4 < %{epoch}:%{version}-%{release}
Obsoletes:      bouncycastle-jdk1.5 < %{epoch}:%{version}-%{release}
Obsoletes:      bouncycastle-jdk1.6 < %{epoch}:%{version}-%{release}
Obsoletes:      bouncycastle-extras < %{epoch}:%{version}-%{release}
Provides:       bouncycastle-extras = %{epoch}:%{version}-%{release}
Requires:       bcmail = %{epoch}:%{version}-%{release}
Requires:       bcpg = %{epoch}:%{version}-%{release}
Requires:       bcprov = %{epoch}:%{version}-%{release}
Requires:       bctsp = %{epoch}:%{version}-%{release}
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  jaf_api
BuildRequires:  javamail_1_4_api
BuildRequires:  junit
BuildRequires:  java-devel >= 0:1.5
BuildRequires:  jpackage-utils
BuildRequires:  jboss-parent
BuildRequires:  maven2-plugin-deploy
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Bouncy Castle Crypto APIs for Java consist of the following:

    * A lightweight cryptography API for Java.
    * A provider for the Java Cryptography Extension and the Java Cryptography
      Architecture.
    * A clean room implementation of the JCE 1.2.1.
    * A library for reading and writing encoded ASN.1 objects.
    * A light weight client-side TLS API.
    * Generators for Version 1 and Version 3 X.509 certificates, Version 2
      CRLs, and PKCS12 files.
    * Generators for Version 2 X.509 attribute certificates.
    * Generators/Processors for S/MIME and CMS (PKCS7/RFC 3852).
    * Generators/Processors for OCSP (RFC 2560).
    * Generators/Processors for TSP (RFC 3161).
    * Generators/Processors for OpenPGP (RFC 2440).
    * A signed jar version suitable for JDK %{jdkver} and the Sun JCE.

The lightweight API works with everything from the J2ME to the JDK 1.6.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Obsoletes:      bouncycastle-javadoc-jdk1.4 < %{epoch}:%{version}-%{release}
Obsoletes:      bouncycastle-javadoc-jdk1.5 < %{epoch}:%{version}-%{release}
Obsoletes:      bouncycastle-javadoc-jdk1.6 < %{epoch}:%{version}-%{release}
Requires:       bcmail-javadoc = %{epoch}:%{version}-%{release}
Requires:       bcpg-javadoc = %{epoch}:%{version}-%{release}
Requires:       bcprov-javadoc = %{epoch}:%{version}-%{release}
Requires:       bctsp-javadoc = %{epoch}:%{version}-%{release}

%description javadoc
Javadoc for %{name}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package -n bcmail
Group:          Development/Java
Summary:        Bouncy Castle CMS and S/MIME API
Obsoletes:      %{name}-mail < %{epoch}:%{version}-%{release}
Provides:       %{name}-mail = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       bcprov = %{epoch}:%{version}-%{release}
Requires:       jaf_api
Requires:       javamail_1_4_api

%description -n bcmail
The Bouncy Castle Java CMS and S/MIME APIs for handling the CMS and S/MIME
protocols. This jar contains CMS and S/MIME APIs for JDK %{jdkver}. The APIs can be
used in conjunction with a JCE/JCA provider such as the one provided with the
Bouncy Castle Cryptography APIs. If the S/MIME API is used, the JavaMail API
and the Java activation framework will also be needed.

%package -n bcmail-javadoc
Group:          Documentation
Summary:        Javadoc for bcmail
Obsoletes:      %{name}-mail-javadoc < %{epoch}:%{version}-%{release}
Provides:       %{name}-mail-javadoc = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils

%description -n bcmail-javadoc
Javadoc for bcmail.

%package -n bcpg
Group:          Development/Java
Summary:        Bouncy Castle OpenPGP API
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       bcprov = %{epoch}:%{version}-%{release}

%description -n bcpg
The Bouncy Castle Java API for handling the OpenPGP protocol. This jar contains
the OpenPGP API for JDK %{jdkver}. The APIs can be used in conjunction with a JCE/JCA
provider such as the one provided with the Bouncy Castle Cryptography APIs.

%package -n bcpg-javadoc
Group:          Documentation
Summary:        Javadoc for bcpg
Requires:       jpackage-utils

%description -n bcpg-javadoc
Javadoc for bcpg.

%package -n bcprov
Group:          Development/Java
Summary:        Bouncy Castle Provider
Obsoletes:      %{name}-provider < %{epoch}:%{version}-%{release}
Provides:       %{name}-provider = %{epoch}:%{version}-%{release}
Provides:       jce = 0:%{jdkver}.0.0
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       bcprov = %{epoch}:%{version}-%{release}

%description -n bcprov
The Bouncy Castle Crypto package is a Java implementation of cryptographic
algorithms. This jar contains JCE provider and lightweight API for the Bouncy
Castle Cryptography APIs for JDK %{jdkver}.

%package -n bcprov-javadoc
Group:          Documentation
Summary:        Javadoc for bcprov
Requires:       jpackage-utils

%description -n bcprov-javadoc
Javadoc for bcprov.

%package -n bctest
Group:          Development/Java
Summary:        Bouncy Castle Tests
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       bcprov = %{epoch}:%{version}-%{release}
Requires:       junit

%description -n bctest
Bouncy Castle Tests.

%package -n bctsp
Group:          Development/Java
Summary:        Bouncy Castle Time Stamp Protocol (TSP) API
Obsoletes:      %{name}-tsp < %{epoch}:%{version}-%{release}
Provides:       %{name}-tsp = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       bcprov = %{epoch}:%{version}-%{release}

%description -n bctsp
The Bouncy Castle Java API for handling the Time Stamp Protocol (TSP). This jar
contains the TSP API for JDK %{jdkver}. The APIs can be used in conjunction with a
JCE/JCA provider such as the one provided with the Bouncy Castle Cryptography
APIs.

%package -n bctsp-javadoc
Group:          Documentation
Summary:        Javadoc for bctsp
Obsoletes:      %{name}-tsp-javadoc < %{epoch}:%{version}-%{release}
Provides:       %{name}-tsp-javadoc = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils

%description -n bctsp-javadoc
Javadoc for bctsp.

%prep
%setup -q -n crypto-%{archivever}
%{_bindir}/find -type f -name "*.jar" | %{_bindir}/xargs -t %{__rm}

%{__cp} -p %{SOURCE100} bcmail-jdk%{jdkvernodot}-1.46.pom
%{__cp} -p %{SOURCE101} bcpg-jdk%{jdkvernodot}-1.46.pom
%{__cp} -p %{SOURCE102} bcprov-jdk%{jdkvernodot}-1.46.pom
%{__cp} -p %{SOURCE104} bctsp-jdk%{jdkvernodot}-1.46.pom

#%patch0 -p0 -b .sav0

%build
export CLASSPATH=$(%{_bindir}/build-classpath jaf_api javamail_1_4_api junit)
export OPT_JAR_LIST="`%{__cat} %{_sysconfdir}/ant.d/junit`"
export LC_ALL=en_US.UTF-8
%{ant} -f jdk%{jdkvernodot}.xml -Dbuild.sysclasspath=first -Drelease.suffix=%{namedversion} build-provider build build-test

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
pushd build/artifacts/jdk1.6/jars
for jar in *.jar; do
   %{__cp} -p ${jar} %{buildroot}%{_javadir}
   jard=`/bin/echo ${jar} | %{__sed} s/-jdk%{jdkvernodot}//g`
   %{__ln_s} ${jar} %{buildroot}%{_javadir}/${jard}
done
popd
# XXX: this jar contains patented algorithms
%{__rm} %{buildroot}%{_javadir}/bcprov-ext*

%if %with signed
%{__install} -p -m 644 %{SOURCE1} %{buildroot}%{_javadir}/bcprov-%{namedversion}.jar
%endif

pushd %{buildroot}%{_javadir}
  for jar in *-%{namedversion}.jar; do
    %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} s/-%{namedversion}//g`
  done
popd

# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p bcmail-jdk%{jdkvernodot}-1.46.pom %{buildroot}%{_datadir}/maven2/poms/JPP-bcmail-jdk%{jdkvernodot}.pom
%{__cp} -p bcpg-jdk%{jdkvernodot}-1.46.pom %{buildroot}%{_datadir}/maven2/poms/JPP-bcpg-jdk%{jdkvernodot}.pom
%{__cp} -p bcprov-jdk%{jdkvernodot}-1.46.pom %{buildroot}%{_datadir}/maven2/poms/JPP-bcprov-jdk%{jdkvernodot}.pom
%{__cp} -p bctsp-jdk%{jdkvernodot}-1.46.pom %{buildroot}%{_datadir}/maven2/poms/JPP-bctsp-jdk%{jdkvernodot}.pom

# depmaps
%add_to_maven_depmap org.bouncycastle bcmail-jdk%{jdkvernodot} %{namedversion} JPP bcmail-jdk%{jdkvernodot}
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/bcmail-jdk%{jdkvernodot}
%add_to_maven_depmap org.bouncycastle bcpg-jdk%{jdkvernodot} %{namedversion} JPP bcpg-jdk%{jdkvernodot}
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/bcpg-jdk%{jdkvernodot}
%add_to_maven_depmap org.bouncycastle bcprov-jdk%{jdkvernodot} %{namedversion} JPP bcprov-jdk%{jdkvernodot}
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/bcprov-jdk%{jdkvernodot}
%add_to_maven_depmap org.bouncycastle bctsp-jdk%{jdkvernodot} %{namedversion} JPP bctsp-jdk%{jdkvernodot}
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/bctsp-jdk%{jdkvernodot}

# javadoc
pushd build/artifacts/jdk%{jdkver}
  ver=%{jdkvernodot}
  for javadoc in mail pg prov tsp; do
    %{__mkdir_p} %{buildroot}%{_javadocdir}/bc${javadoc}-%{namedversion}
    %{__cp} -pr bc${javadoc}-jdk${ver}-%{namedversion}/docs/* %{buildroot}%{_javadocdir}/bc${javadoc}-%{namedversion}/
    %{__ln_s} bc${javadoc}-%{namedversion} %{buildroot}%{_javadocdir}/bc${javadoc}
  done
popd

%if %with repolib
install -d -m 755 %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew

mvn-jpp -e \
    deploy:deploy-file \
    -Dversion=%{namedversion} \
    -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP-bcprov-jdk%{jdkvernodot}.pom \
    -Dfile=%{buildroot}%{_javadir}/bcprov-jdk%{jdkvernodot}-%{namedversion}.jar \
    -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ \

mvn-jpp -e \
    deploy:deploy-file \
    -Dversion=%{namedversion} \
    -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP-bcmail-jdk%{jdkvernodot}.pom \
    -Dfile=%{buildroot}%{_javadir}/bcmail-jdk%{jdkvernodot}-%{namedversion}.jar \
    -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ \

mvn-jpp -e \
    deploy:deploy-file \
    -Dversion=%{namedversion} \
    -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP-bcpg-jdk%{jdkvernodot}.pom \
    -Dfile=%{buildroot}%{_javadir}/bcpg-jdk%{jdkvernodot}-%{namedversion}.jar \
    -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ \

mvn-jpp -e \
    deploy:deploy-file \
    -Dversion=%{namedversion} \
    -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP-bctsp-jdk%{jdkvernodot}.pom \
    -Dfile=%{buildroot}%{_javadir}/bctsp-jdk%{jdkvernodot}-%{namedversion}.jar \
    -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ \

%endif


%clean
%{__rm} -rf %{buildroot}

%post -n bcmail
%update_maven_depmap

%postun -n bcmail
%update_maven_depmap

%post -n bcpg
%update_maven_depmap

%postun -n bcpg
%update_maven_depmap

%post -n bcprov
%update_maven_depmap

%postun -n bcprov
%update_maven_depmap

%post -n bctsp
%update_maven_depmap

%postun -n bctsp
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc *.html

%files -n bcmail
%defattr(0644,root,root,0755)
%{_javadir}*/bcmail-%{namedversion}.jar
%{_javadir}*/bcmail.jar
%{_javadir}*/bcmail-jdk%{jdkvernodot}-%{namedversion}.jar
%{_javadir}*/bcmail-jdk%{jdkvernodot}.jar
%{_datadir}/maven2/poms/JPP-bcmail-jdk%{jdkvernodot}.pom
%{_mavendepmapfragdir}/bcmail-jdk%{jdkvernodot}

%files -n bcmail-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/bcmail-%{namedversion}
%{_javadocdir}/bcmail

%files -n bcpg
%defattr(0644,root,root,0755)
%{_javadir}*/bcpg-%{namedversion}.jar
%{_javadir}*/bcpg.jar
%{_javadir}*/bcpg-jdk%{jdkvernodot}-%{namedversion}.jar
%{_javadir}*/bcpg-jdk%{jdkvernodot}.jar
%{_datadir}/maven2/poms/JPP-bcpg-jdk%{jdkvernodot}.pom
%{_mavendepmapfragdir}/bcpg-jdk%{jdkvernodot}

%files -n bcpg-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/bcpg-%{namedversion}
%{_javadocdir}/bcpg

%files -n bcprov
%defattr(0644,root,root,0755)
%{_javadir}*/bcprov-%{namedversion}.jar
%{_javadir}*/bcprov.jar
%{_javadir}*/bcprov-jdk%{jdkvernodot}-%{namedversion}.jar
%{_javadir}*/bcprov-jdk%{jdkvernodot}.jar
%{_datadir}/maven2/poms/JPP-bcprov-jdk%{jdkvernodot}.pom
%{_mavendepmapfragdir}/bcprov-jdk%{jdkvernodot}

%files -n bcprov-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/bcprov-%{namedversion}
%{_javadocdir}/bcprov

%files -n bctest
%defattr(0644,root,root,0755)
%{_javadir}*/bctest-%{namedversion}.jar
%{_javadir}*/bctest.jar
%{_javadir}*/bctest-jdk%{jdkvernodot}-%{namedversion}.jar
%{_javadir}*/bctest-jdk%{jdkvernodot}.jar

%files -n bctsp
%defattr(0644,root,root,0755)
%{_javadir}*/bctsp-%{namedversion}.jar
%{_javadir}*/bctsp.jar
%{_javadir}*/bctsp-jdk%{jdkvernodot}-%{namedversion}.jar
%{_javadir}*/bctsp-jdk%{jdkvernodot}.jar
%{_datadir}/maven2/poms/JPP-bctsp-jdk%{jdkvernodot}.pom
%{_mavendepmapfragdir}/bctsp-jdk%{jdkvernodot}

%files -n bctsp-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/bctsp-%{namedversion}
%{_javadocdir}/bctsp

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Tue Mar 06 2012 Yong Yang <yyang@redhat.com> 0:1.46-3.5_redhat_1
- repolib

* Mon Oct 17 2011 David Walluck <dwalluck@redhat.com> 0:1.46-3.3_redhat_1
- add maven poms
- split into separate packages
- add Provides/Obsoletes (for fc)

* Mon Oct 17 2011 David Walluck <dwalluck@redhat.com> 0:1.46-3.2
- switch to building bcprov jars
- switch to jdk6 by default
- switch to jaf_api

* Tue Jun 07 2011 David Walluck <dwalluck@redhat.com> 0:1.46-3.1
- update file list for brew

* Fri May 13 2011 David Walluck <dwalluck@redhat.com> 0:1.46-3
- set -Dbuild.sysclasspath=first
- set LC_ALL=en_US.UTF-8
- make archivever macro global

* Fri May 13 2011 David Walluck <dwalluck@redhat.com> 0:1.46-2
- remove GCJ support
- add Requires: jpackage-utils to main and javadoc packages

* Fri May 13 2011 David Walluck <dwalluck@redhat.com> 0:1.46-1
- 1.46

* Thu Sep 23 2010 David Walluck <dwalluck@redhat.com> 0:1.45-3
- use generic API (Build)Requires

* Thu Sep 23 2010 David Walluck <dwalluck@redhat.com> 0:1.45-2
- Provide/Obsoletes bouncycastle-extras

* Mon May 24 2010 David Walluck <dwalluck@redhat.com> 0:1.45-1
- 1.45

* Mon Apr 20 2009 David Walluck <dwalluck@redhat.com> 0:1.43-1
- 1.43

* Fri Mar 20 2009 David Walluck <dwalluck@redhat.com> 0:1.42-3
- package using the upstream signed jars by default

* Tue Mar 17 2009 David Walluck <dwalluck@redhat.com> 0:1.42-2
- add support for upstream-signed jar
- update URL and description

* Mon Mar 16 2009 David Walluck <dwalluck@redhat.com> 0:1.42-1
- 1.42
- add support for jdk5

* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 0:1.41-2
- Auto rebuild for JPackage 5 in mock

* Thu Nov 13 2008 David Walluck <dwalluck@redhat.com> 0:1.41-1
- 1.41
- require javamail 1.4

* Thu Nov 01 2007 Ralph Apel <r.apel at r-apel.de> 0:1.37-5jpp
- Bump release

* Tue Oct 31 2007 Ralph Apel <r.apel at r-apel.de> 0:1.37-4jpp
- Explicitly Require bouncycastle-jdk1.5 in main package

* Tue Oct 30 2007 Ralph Apel <r.apel at r-apel.de> 0:1.37-3jpp
- Build jdk1.4 thru jdk1.6 packages for JPP-5.0

* Tue Oct 30 2007 Ralph Apel <r.apel at r-apel.de> 0:1.37-2jpp
- Build jdk1.4 packages for JPP-1.7

* Wed Jul 11 2007 Ralph Apel <r.apel at r-apel.de> 0:1.37-1jpp
- Upgrade to 1.37
- Add bctsp
- Add more original (i.e. signed) jars
- Require java, java-devel < 1.6.0

* Mon Feb 21 2005 David Walluck <david@jpackage.org> 0:1.27-1jpp
- 1.27
- "fix" requires-on-release
- change license to BSD (style)
- fix duplicate requires

* Thu Jan 20 2005 David Walluck <david@jpackage.org> 0:1.26-1jpp
- 1.26

* Sat Oct 09 2004 David Walluck <david@jpackage.org> 0:1.25-1jpp
- 1.25
- jdk 1.3.x support out, jdk 1.5.0 support in

* Sun Feb 08 2004 David Walluck <david@anti-microsoft.org> 0:1.25-1jpp
- 1.25
- fix javadocs and javadoc dirs
- clean up BuildRequires/Requires
- CLASSPATH doesn't need jce

* Tue Jan 20 2004 David Walluck <david@anti-microsoft.org> 0:1.21-1jpp
- 1.21

* Fri Oct 10 2003 David Walluck <david@anti-microsoft.org> 0:1.20-2jpp
- fix javadoc symlinks

* Fri Oct 10 2003 David Walluck <david@anti-microsoft.org> 0:1.20-1jpp
- 1.20
- add epochs
- %%ghost symlinks
- maybe bouncycastle should consider using ant so that it
  doesn't take over three hours to script the build process
- oh, and maybe a single source archive, thanks

* Sun Sep 09 2003 David Walluck <david@anti-microsoft.org> 0:1.19-2jpp 
- build bcmail.jar for jdk1.4 package
- add Epoch
- Requires: jpackage-utils >= 0:1.5

* Fri Jun 27 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 1.19-1jpp
- First jpackage 1.5 release
- use upstream 1.4 binary due to Sun braindamage

* Sun Sep  8 2002 Ville Skyttä <ville.skytta at iki.fi> 1.15-1jpp
- First JPackage release.
